/*
 * @Author: tengmingxue 1473375109@qq.com
 * @Date: 2023-06-07 17:05:06
 * @LastEditors: zjz
 * @LastEditTime: 2023-06-25 17:50:05
 * @FilePath: \yx-big-screen\src\api\map\geologicalApi.ts
 * @Description: 地址灾害相关接口
 */

import { defHttpFun } from '/@/utils/http/axios';
const sendSet = { joinPrefix: false, apiUrl: '' };

/**
 * 通过ID查询地灾基础信息
 * @id
 *
 */
export function queryGeologicalById(id) {
  // return defHttpFun(sendSet).get({ url: `/yxBase/dzdxinfo/${id}` })
  return defHttpFun(sendSet).get({ url: `/yxBase/dzdxinfo/getDzInfo/${id}` });
}

/**
 * 通过ID查询地灾工况信息
 * @id
 *
 */
export function queryWorkConditionById(id) {
  return defHttpFun(sendSet).get({ url: `/yxBase/dzdxfqgkpj/${id}` });
}

/**
 * 通过id查询弹窗工况基本信息
 */
export function queryDialogWorkConditionById(id) {
  return defHttpFun(sendSet).get({ url: `/yxBase/dzdxinfo/getDzInfo/${id}` });
}

/**
 * 通过id查询弹窗综合描述信息
 */
export function queryDialogZhmsInfoById(params) {
  return defHttpFun(sendSet).get({ url: `/yxBase/dzbhzhms/getZhmsInfo`, params });
}

/**
 * 分页查询工况信息
 */
export function getWorksInfoPage(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/dzdxfqgkpj/page', params });
}

/**
 * 通过ID查询综合评价表信息
 * @id
 *
 */
export function queryEvaluationById(id) {
  return defHttpFun(sendSet).get({ url: `/yxBase/dzdxpj/${id}` });
}

/**
 * 分页查询历史发生情况
 */
export function queryHistoryInfoPage(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/dzhistory/page', params });
}

/**
 * 分页查询巡查评估情况
 */
export function queryInspectEvaluatePage(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/pgglcinfo/page', params });
}
// export function queryInspectEvaluatePage (params) {
//   return defHttpFun(sendSet).get({ url: '/yxBase/pgglpgzb/page', params })
// }

/**
 * 查询所属河段
 */

export function queryBelongToRiver(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/largescreen/getDzdxHdtotal', params });
}

/**
 * 查询影响工程
 */

export function queryImpactEngineering(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/largescreen/getDzdxGctotal', params });
}

/**
 * 查询重点关注
 */
export function queryRiskLevel(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/largescreen/getGzTypetotal', params });
}

/**
 * 查询普查
 */

export function queryRiverBlockageRisk(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/largescreen/getGzTypetotal', params });
}
